% $Date: 2003/10/02 12:49:39 $ $Revision: 1.3 $
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{ksco}[2004/10/03 1.0 'ksco' document class for KSCO 2004 workshop]

\LoadClass[a4paper]{article}  

\renewcommand\abstractname{Abstract.}
\renewenvironment{abstract}{%
      \list{}{\advance\topsep by0.35cm\relax\small
        \leftmargin=1cm
        \labelwidth=\z@
        \listparindent=\z@
        \itemindent\listparindent
        \rightmargin\leftmargin}\item[\hskip\labelsep\bfseries\abstractname]}
  {\endlist}


\renewcommand\maketitle{\newpage

 \markboth{}{}%
 \begin{center}%
 {\Large \bfseries\boldmath
  \pretolerance=10000
  \@title \par}\vskip .5cm

% \def\thanks##1{}\@author}%
{\lineskip .5em
\noindent\ignorespaces
\@author \\ {\small \@institute} \vskip.1cm {\tt \@email} \vskip.35cm}
 \end{center}%
 }

\def\institute#1{\gdef\@institute{#1}}
\def\email#1{\gdef\@email{#1}}

\renewcommand\labelitemi{\normalfont\bfseries --}
\renewcommand\labelitemii{$\m@th\bullet$}

% enlarging the pages
%\setlength{\textwidth}{15.2cm}
%\setlength{\textheight}{24.3cm}

%?????
%\renewcommand\@pnumwidth{2em}
%\renewcommand\@tocrmarg{3.5em}

% other settings
%\setlength\headsep   {16\p@}

%\setlength\footnotesep{7.7\p@}
%\setlength\textfloatsep{8mm\@plus 2\p@ \@minus 4\p@}
%\setlength\intextsep   {8mm\@plus 2\p@ \@minus 2\p@}

\setcounter{secnumdepth}{2}

% environment for abstract - firstly types \smalltitle
%\renewenvironment{abstract}{\smalltitle\noindent \textbf{\Large Abstract.}\\[5mm]}{\par}

\endinput
